# firebase-database-wrapper

A wrapper around Firebase's `database` with a nicer API. Works with `firebase-admin` and `firebase`.

## Usage

```js

const firebase = require('firebase-admin')
const Database = require('firebase-database-wrapper')

const app = firebase.initializeApp({
  credential: firebase.credential.cert(...),
  databaseURL: 'https://my-db.firebaseio.com'
})

const db = new Database({ database: app.database() })

const userId = 'IopDxEoT5wWnjjuzr5DKPOkKc6H3'

const user = await db.get(`/users/${userId}`)
const animalId = await db.push('/animals', {
  userId,
  type: 'dog',
  name: 'Lyra'
})
await db.set(`/users/${userId}/animals`, [
  animalId,
  ...user.animals
])
```
## License

MIT
