class FirebaseDatabaseWrapper {
  constructor ({ database }) {
    this.db = database
  }

  // get gets a value from the database
  get (path) {
    return this.db.ref(path)
      .once('value')
      .then(snapshot => snapshot.val())
  }

  // set sets a value in the database
  set (path, val) {
    return this.db.ref(path).set(val)
  }

  // push adds a new value to the database and the new value's key
  push (path, val) {
    const { key } = this.db.ref(path).push()
    return this.db.ref().update({
      [`${path}/${key}`]: val
    }).then(() => key)
  }
}

module.exports = FirebaseDatabaseWrapper
